Package org.eclipse.draw2d

# Class FreeformLayeredPane

java.lang.Object
org.eclipse.draw2d.Figure
org.eclipse.draw2d.Layer
org.eclipse.draw2d.LayeredPane
org.eclipse.draw2d.FreeformLayeredPane

All Implemented Interfaces:
  `FreeformFigure`, `IFigure`

Direct Known Subclasses:
  `ScalableFreeformLayeredPane`

public class FreeformLayeredPane extends LayeredPane implements FreeformFigure
A LayeredPane that contains `FreeformLayers`.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.draw2d.Figure

`Figure.FigureIterator, Figure.IdentitySearch, Figure.ReverseFigureChildrenIterator`

## Nested classes/interfaces inherited from interface org.eclipse.draw2d.IFigure

`IFigure.NoInsets`

## Field Summary

### Fields inherited from class org.eclipse.draw2d.Figure

`bgColor, border, bounds, fgColor, flags, font, MAX_FLAG, maxSize, minSize, NO_MANAGER, prefSize, toolTip`

### Fields inherited from interface org.eclipse.draw2d.IFigure

`MAX_DIMENSION, MIN_DIMENSION, NO_INSETS`

## Constructor Summary

Constructors
Constructor
Description
`FreeformLayeredPane()`
Constructs a new FreeformLayeredPane.

## Method Summary

Modifier and Type
Method
Description
`void`
`add(IFigure child, Object constraint, int index)`
Adds the given layer figure, identifiable with the given key, at the specified index.
`void`
`addFreeformListener(FreeformListener listener)`
Adds a FreeformListener to this FreeformFigure.
`void`
`fireExtentChanged()`
Notifies listeners that the freeform extent (i.e. bounds) has changed.
`protected void`
`fireMoved()`
Overrides to do nothing.
`Rectangle`
`getFreeformExtent()`
Returns the freeform extent, essentially the bounds of the FreeformFigure.
`protected org.eclipse.draw2d.FreeformHelper`
`getFreeformHelper()`
Returns the FreeformHelper.
`protected void`
`primTranslate(int dx, int dy)`
Translates this Figure's bounds, without firing a move.
`void`
`remove(IFigure child)`
Removes the given child Figure from this Figure's hierarchy and revalidates this Figure.
`void`
`removeFreeformListener(FreeformListener listener)`
Removes the given listener from this FreeformFigure.
`void`
`setFreeformBounds(Rectangle bounds)`
Sets the freeform bounds of this FreeformFigure.
`protected void`
`superFireMoved()`
Calls `super.fireMoved()`.

### Methods inherited from class org.eclipse.draw2d.LayeredPane

`addLayerAfter, addLayerBefore, getLayer, getLayer, removeLayer, removeLayer, removeLayer`

### Methods inherited from class org.eclipse.draw2d.Layer

`containsPoint, findFigureAt`

### Methods inherited from class org.eclipse.draw2d.Figure

`add, add, add, addAncestorListener, addCoordinateListener, addFigureListener, addFocusListener, addKeyListener, addLayoutListener, addListener, addMouseListener, addMouseMotionListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, containsPoint, erase, findDescendantAtExcluding, findFigureAt, findFigureAt, findFigureAtExcluding, findMouseEventTargetAt, findMouseEventTargetInDescendantsAt, fireCoordinateSystemChanged, fireFigureMoved, firePropertyChange, firePropertyChange, firePropertyChange, getBackgroundColor, getBorder, getBounds, getChildren, getChildrenRevIterable, getClientArea, getClientArea, getClippingStrategy, getCursor, getFlag, getFont, getForegroundColor, getInsets, getLayoutManager, getListeners, getListenersIterable, getLocalBackgroundColor, getLocalFont, getLocalForegroundColor, getLocation, getMaximumSize, getMinimumSize, getMinimumSize, getParent, getPreferredSize, getPreferredSize, getSize, getToolTip, getUpdateManager, handleFocusGained, handleFocusLost, handleKeyPressed, handleKeyReleased, handleMouseDoubleClicked, handleMouseDragged, handleMouseEntered, handleMouseExited, handleMouseHover, handleMouseMoved, handleMousePressed, handleMouseReleased, hasFocus, internalGetEventDispatcher, intersects, invalidate, invalidateTree, isCoordinateSystem, isEnabled, isFocusTraversable, isMirrored, isMouseEventTarget, isOpaque, isRequestFocusEnabled, isShowing, isValid, isValidationRoot, isVisible, layout, optimizeClip, paint, paintBorder, paintChildren, paintClientArea, paintFigure, removeAll, removeAncestorListener, removeCoordinateListener, removeFigureListener, removeFocusListener, removeKeyListener, removeLayoutListener, removeListener, removeMouseListener, removeMouseMotionListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, revalidate, setBackgroundColor, setBorder, setBounds, setChildrenDirection, setChildrenEnabled, setChildrenOrientation, setClippingStrategy, setConstraint, setCursor, setEnabled, setFlag, setFocusTraversable, setFont, setForegroundColor, setLayoutManager, setLocation, setMaximumSize, setMinimumSize, setOpaque, setParent, setPreferredSize, setPreferredSize, setRequestFocusEnabled, setSize, setSize, setToolTip, setValid, setVisible, translate, translateFromParent, translateToAbsolute, translateToParent, translateToRelative, useLocalCoordinates, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.draw2d.IFigure

`add, add, add, addAncestorListener, addCoordinateListener, addFigureListener, addFocusListener, addKeyListener, addLayoutListener, addMouseListener, addMouseMotionListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, containsPoint, containsPoint, erase, findFigureAt, findFigureAt, findFigureAt, findFigureAtExcluding, findMouseEventTargetAt, getBackgroundColor, getBorder, getBounds, getChildren, getClientArea, getClientArea, getClippingStrategy, getCursor, getFont, getForegroundColor, getInsets, getLayoutManager, getLocalBackgroundColor, getLocalForegroundColor, getLocation, getMaximumSize, getMinimumSize, getMinimumSize, getParent, getPreferredSize, getPreferredSize, getSize, getToolTip, getUpdateManager, handleFocusGained, handleFocusLost, handleKeyPressed, handleKeyReleased, handleMouseDoubleClicked, handleMouseDragged, handleMouseEntered, handleMouseExited, handleMouseHover, handleMouseMoved, handleMousePressed, handleMouseReleased, hasFocus, internalGetEventDispatcher, intersects, invalidate, invalidateTree, isCoordinateSystem, isEnabled, isFocusTraversable, isMirrored, isOpaque, isRequestFocusEnabled, isShowing, isVisible, paint, removeAncestorListener, removeCoordinateListener, removeFigureListener, removeFocusListener, removeKeyListener, removeLayoutListener, removeMouseListener, removeMouseMotionListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, revalidate, setBackgroundColor, setBorder, setBounds, setClippingStrategy, setConstraint, setCursor, setEnabled, setFocusTraversable, setFont, setForegroundColor, setLayoutManager, setLocation, setMaximumSize, setMinimumSize, setOpaque, setParent, setPreferredSize, setRequestFocusEnabled, setSize, setSize, setToolTip, setVisible, translate, translateFromParent, translateToAbsolute, translateToParent, translateToRelative, validate`

## Constructor Details

### FreeformLayeredPane

public FreeformLayeredPane()
Constructs a new FreeformLayeredPane.

## Method Details

### add

public void add(IFigure child, Object constraint, int index)
Description copied from class: `LayeredPane`
Adds the given layer figure, identifiable with the given key, at the specified index. While adding the layer, it informs the surrounding layers of the addition.

Specified by:
  `add` in interface `IFigure`
Overrides:
  `add` in class `LayeredPane`
Parameters:
  `child` - the layer
  `constraint` - the layer's key
  `index` - the index where the layer should be added
See Also:
  - `IFigure.add(IFigure, Object, int)`

### addFreeformListener

public void addFreeformListener(FreeformListener listener)
Description copied from interface: `FreeformFigure`
Adds a FreeformListener to this FreeformFigure.

Specified by:
  `addFreeformListener` in interface `FreeformFigure`
Parameters:
  `listener` - the listener
See Also:
  - `FreeformFigure.addFreeformListener(FreeformListener)`

### fireExtentChanged

public void fireExtentChanged()
Description copied from interface: `FreeformFigure`
Notifies listeners that the freeform extent (i.e. bounds) has changed.

Specified by:
  `fireExtentChanged` in interface `FreeformFigure`
See Also:
  - `FreeformFigure.fireExtentChanged()`

### fireMoved

protected void fireMoved()
Overrides to do nothing.

Overrides:
  `fireMoved` in class `Figure`
See Also:
  - `Figure.fireMoved()`

### getFreeformHelper

protected org.eclipse.draw2d.FreeformHelper getFreeformHelper()
Returns the FreeformHelper.

Returns:
  the FreeformHelper

### getFreeformExtent

public Rectangle getFreeformExtent()
Description copied from interface: `FreeformFigure`
Returns the freeform extent, essentially the bounds of the FreeformFigure. This is based on the extent of its children.

Specified by:
  `getFreeformExtent` in interface `FreeformFigure`
Returns:
  the freeform extent
See Also:
  - `FreeformFigure.getFreeformExtent()`

### primTranslate

protected void primTranslate(int dx, int dy)
Description copied from class: `Figure`
Translates this Figure's bounds, without firing a move.

Overrides:
  `primTranslate` in class `Figure`
Parameters:
  `dx` - The amount to translate horizontally
  `dy` - The amount to translate vertically
See Also:
  - `Figure.primTranslate(int, int)`

### remove

public void remove(IFigure child)
Description copied from class: `Figure`
Removes the given child Figure from this Figure's hierarchy and revalidates this Figure. The child Figure's `Figure.removeNotify()` method is also called.

Specified by:
  `remove` in interface `IFigure`
Overrides:
  `remove` in class `LayeredPane`
Parameters:
  `child` - The Figure to remove
See Also:
  - `IFigure.remove(IFigure)`

### removeFreeformListener

public void removeFreeformListener(FreeformListener listener)
Description copied from interface: `FreeformFigure`
Removes the given listener from this FreeformFigure.

Specified by:
  `removeFreeformListener` in interface `FreeformFigure`
Parameters:
  `listener` - the listener
See Also:
  - `FreeformFigure.removeFreeformListener(FreeformListener)`

### setFreeformBounds

public void setFreeformBounds(Rectangle bounds)
Description copied from interface: `FreeformFigure`
Sets the freeform bounds of this FreeformFigure.

Specified by:
  `setFreeformBounds` in interface `FreeformFigure`
Parameters:
  `bounds` - the new freeform bounds
See Also:
  - `FreeformFigure.setFreeformBounds(Rectangle)`

### superFireMoved

protected void superFireMoved()
Calls `super.fireMoved()`.